﻿*==============================================================================*.
* TÍTULO DE LA SINTAXIS:													   
* Compilación de bases de datos de la ECE				   				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta Continua de Empleo (ECE)				   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)			   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística (INE)							   
*==============================================================================*.
* Fecha de elaboración:        12 de Febrero del 2020						   
* Fecha última modificación:   12 de Febrero del 2020
*==============================================================================*.
* Elaborado por:													   
* 1. Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)
*    Unidad de Estadísticas e Indicadores Sociales (UEIS)
*==============================================================================*.
*=============================================================================*.
* Archivo de compilacion de bases de datos, las bases trimestrales corrrespondientes 
* a las gestiones 2015 - 2016 - 2017 - 2018, constan de variables nombradas segun la
* boleta en su primera versión por lo que la adicción entre dichas bases en directa
* Una vez descargadas las bases coloque los archivos descomprimidos en una carpeta 
* con una direccion en su computador. La dirección raiz en el documentos es 
* nombrada como "...\", para efectuar el uso de la sintaxis sustituya "...\" por la 
* direccion donde se encuentran guardados y descomprimidos los archivos de las bases
* de datos.

*cd "...\".

* Apertura de base de datos.

NEW FILE.
DATASET CLOSE all. 
OUTPUT CLOSE *.
GET 
  FILE="ECE_4T2015.sav".
DATASET NAME data WINDOW=FRONT.

* Unión con otras bases de datos. 
ADD FILES FILE=* /FILE="ECE_1T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_1T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_1T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2018.sav".
EXECUTE.

* Es necesarios efectuar las siguientes lineas de sintaxis para unir 
bases del 2018 con bases del 2019, estas lineas de sintaxis transforman
la variables de la boleta en su versión 1 a la versión 2 correspondiente
a la gestion 2019.

RENAME VARIABLES s1_09=s1_16.
RENAME VARIABLES s1_10=s1_17.
RENAME VARIABLES s1_10ecod=s1_17ecod.
RENAME VARIABLES s2_06a=s2_08a.
RENAME VARIABLES s2_06b=s2_08b.
RENAME VARIABLES s2_06c=s2_08c.
RENAME VARIABLES s2_09=s2_06.
RENAME VARIABLES s2_07=s2_09.
RENAME VARIABLES s2_08=s2_07.
COMPUTE aux=s2_20.
EXECUTE.
RENAME VARIABLES s2_20=s2_18.
IF any(aux,1,2,4) s2_18=1.
IF aux=3 s2_18=2.
IF aux=5 s2_18=3.
IF aux=6 s2_18=4.
IF aux=7 s2_18=5.
IF aux=8 s2_18=7.
EXECUTE.
val lab s2_18
1 'Obrero/Empleado'
2 'Trabajador/a por cuenta propia'
3 'Empleador/a o socio/a que no recibe salario'
4 'Cooperativista de Producción'
5 'Trabajador/a Familiar sin remuneración'
6 'Aprendiz o persona en formación sin remuneración'
7 'Empleada/o del hogar'.
EXECUTE.
DELETE VARIABLES aux.

COMPUTE s2_19_t=$sysmis.
IF any(s2_18,1,5,6,7) s2_19_t=s2_18a.
COMPUTE s2_19_p=$sysmis.
IF any(s2_18,1,5,6,7) s2_19_p=s2_18b.
COMPUTE s2_19a_t=$sysmis.
IF any(s2_18,1,5,6,7) s2_19a_t=s2_19a.
COMPUTE s2_19a_p=$sysmis.
IF any(s2_18,1,5,6,7) s2_19a_p=s2_19b.
COMPUTE s2_20_t=$sysmis.
IF any(s2_18,1,5,6,7) s2_20_t=s2_18a.
COMPUTE s2_20_p=$sysmis.
IF any(s2_18,1,5,6,7) s2_20_p=s2_18b.
COMPUTE s2_20a_t=$sysmis.
IF any(s2_18,2,3,4) s2_20a_t=s2_19a.
COMPUTE s2_20a_p=$sysmis.
IF any(s2_18,2,3,4) s2_20a_p=s2_19b.
EXECUTE.

DELETE VARIABLES s2_18a s2_18b s2_19a s2_19b.

RENAME VARIABLES s2_20a=s2_17a.
COMPUTE aux=s2_25.
IF aux=1 s2_25=1.
IF aux=2 s2_25=2.
IF aux=3 s2_25=5.
IF aux=4 s2_25=6.
IF aux=5 s2_25=7.
IF aux=6 s2_25=8.
IF aux=7 s2_25=9.
IF aux=8 s2_25=10.
IF aux=9 s2_25=11.
EXECUTE.
val lab s2_25
1 '1.En su vivienda particular'
2 '2A.Local o terreno exclusivo (propio/alquilado/anticrético o  prestado)'
3 '2B.Local o terreno exclusivo (de la empresa/empleador o cliente)'
4 '2C.Local o terreno exclusivo (predio agropecuario/explotación de recursos naturales)'
5 '3.Puesto móvil'
6 '4.En quiosco o puesto fijo'
7 '5.Vehiculo'
8 '6.Servicios a domicilio'
9 '7.Ambulante'
10 '8.Ambulante de preventa'
11 '9.Otro  (Especifique)'.
DELETE VARIABLES aux.
RENAME VARIABLES s2_29a=s2_29_h.
RENAME VARIABLES s2_29b=s2_29_m.
RENAME VARIABLES s2_33a=s2_33_v.
RENAME VARIABLES s2_33b=s2_33_f.
RENAME VARIABLES s2_34=s2_34a.
RENAME VARIABLES s2_37a=s2_37_v.
RENAME VARIABLES s2_37b=s2_37_f.
RENAME VARIABLES s2_38a=s2_38_v.
RENAME VARIABLES s2_38b=s2_38_f.

COMPUTE aux=s2_46.
EXECUTE.
IF any(aux,1,2,4) s2_46=1.
IF aux=3 s2_46=2.
IF aux=5 s2_46=3.
IF aux=6 s2_46=4.
IF aux=7 s2_46=5.
IF aux=8 s2_46=7.
EXECUTE.
val lab s2_46
1 'Obrero/Empleado'
2 'Trabajador/a por cuenta propia'
3 'Empleador/a o socio/a que no recibe salario'
4 'Cooperativista de Producción'
5 'Trabajador/a Familiar sin remuneración'
6 'Aprendiz o persona en formación sin remuneración'
7 'Empleada/o del hogar'.
EXECUTE.
DELETE VARIABLES aux.

RENAME VARIABLES s2_48a=s2_48_h.
RENAME VARIABLES s2_48b=s2_48_m.
RENAME VARIABLES s2_50a=s2_50_v.
RENAME VARIABLES s2_50b=s2_50_f.
RENAME VARIABLES s2_51a=s2_51_v.
RENAME VARIABLES s2_51b=s2_51_f.
RENAME VARIABLES s2_52a=s2_52_v.
RENAME VARIABLES s2_52b=s2_52_f.
EXECUTE.

* Añadimos las bases de datos de la gestión 2019.

ADD FILES FILE=* /FILE="ECE_1T2019.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2019.sav".
EXECUTE.

ADD VALUE LABELS trim 236 "1t-2019" 237 "2t-2019" 
ADD VALUE LABELS meses 708 "ene-2019" 709 "feb-2019" 710 "mar-2019" 711 "abr-2019" 712 "may-2019" 713 "jun-2019" 714 "jul-2019" 715 "ago-2019" 716 "sep-2019".




